Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class Multiply

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.Multiply

All Implemented Interfaces:
  PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

    public class Multiply

extends PostfixMathCommand
implements RealBinaryFunction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Multiply()`

Method Summary
`double` | `evaluate(double l, double r)`
`Complex` | `mul(Complex c1, Complex c2)`
`Complex` | `mul(Complex c, java.lang.Number d)`
`java.lang.Double` | `mul(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `mul(java.lang.Object param1, java.lang.Object param2)`
`java.util.Vector` | `mul(java.lang.Object d, java.util.Vector v)`
`java.util.Vector` | `mul(java.util.Vector v, java.lang.Object d)`
`void` | `run(java.util.Stack<java.lang.Object> stack)` Run the function on the stack.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Multiply

    public Multiply()

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> stack)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Throws:
    `EvaluationException`

### mul

    public java.lang.Object mul(java.lang.Object param1,
                                java.lang.Object param2)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### mul

    public java.lang.Double mul(java.lang.Number d1,
                                java.lang.Number d2)

### mul

    public Complex mul(Complex c1,
                       Complex c2)

### mul

    public Complex mul(Complex c,
                       java.lang.Number d)

### mul

    public java.util.Vector mul(java.util.Vector v,
                                java.lang.Object d)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### mul

    public java.util.Vector mul(java.lang.Object d,
                                java.util.Vector v)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double l,
                           double r)

  Specified by:
    `evaluate` in interface `RealBinaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep